/**
 * $Id: slideshow_creator.js,v 1.3.2.6 2008/07/06 08:30:23 brmassa Exp $
 * @author: Bruno Massa http://drupal.org/user/67164
 * @file slideshow_creator.js
 * The main Javacript for this module
 */

/**
 * Initialize the module's JS functions
 */
Drupal.behaviors.ssc = function(context) {
  for (ss in Drupal.settings.ssc) {
    Drupal.settings.ssc[ss]["before"] = Drupal.ssc_before;
    $("#ssc-content-" + ss).cycle(Drupal.settings.ssc[ss]);
  }
}

Drupal.ssc_before = function() {
  var sscid = (this.id).replace(/ssc-slide-/, "").replace(/-.*/, "");
  var slide = parseInt((this.id).replace(/ssc-slide-.*-/, "")) + 1;
  $("#ssc-current-" + sscid).html(slide);
}
